<template>
  <v-snackbar v-model="show" :color="color" text top>
    {{ message }}
    <template #action="{ attrs }">
        <v-btn color="blue" text v-bind="attrs" @click="show = false">
          <v-icon>mdi-window-close</v-icon>
        </v-btn>
      </template>
    <!-- <v-btn text @click="show = false" min-width="5">x</v-btn> -->
  </v-snackbar>
</template>

<script>
export default {
  data() {
    return {
      show: false,
      message: "",
      color: "",
    };
  },
  created() {
    this.$store.subscribe((mutation, state) => {
      if (mutation.type === "snackbar/showMessage") {
        this.message = state.snackbar.content;
        this.color = state.snackbar.color ? state.snackbar.color : '#1ccc94';
        this.show = true;
      }
    });
  },
};
</script>
